NETDEV_COMPLETED_QUE(9)

NAME
netdev_completed_queue - report bytes and packets completed by device

SYNOPSIS

void netdev_completed_queue(struct net_device * dev, unsigned int pkts, unsigned int bytes);

ARGUMENTS

dev
    network device

pkts
    actual number of packets sent over the medium

bytes
    actual number of bytes sent over the medium

DESCRIPTION

Report the number of bytes and packets transmitted by the network device hardware queue over the physical medium, bytes must exactly match the bytes amount passed to netdev_sent_queue

COPYRIGHT